## props 0.9.14

=== requirements.txt ===
six>=1.10.0
numpy>=1.11.1
matplotlib>=1.5.1
sphinx>=1.4.1
sphinx-rtd-theme>=0.1.9

=== debian/changelog ===
props (0.9.14-1~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Thu, 06 Apr 2017 14:37:24 +0200

props (0.9.14-1) UNRELEASED; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Wed, 05 Apr 2017 19:58:43 +0200

=== debian/control ===
Source: props
Maintainer: NeuroDebian Team <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>
Section: non-free/python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
Standards-Version: 3.9.8
X-Python-Version: >= 2.7

Package: python-props
Architecture: all
Section: non-free/python
Depends: neurodebian-popularity-contest, python-wxgtk3.0,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides}
Description: Python descriptor framework
 Event programming framework with the ability for automatic CLI generation,
 and automatic GUI generation (with wxPython).
 .
 This package provides the Python 2 module.

## props 0.10.1

=== requirements.txt ===
six>=1.10.0,<2.0
numpy>=1.11.1,<2.0
matplotlib>=1.5.1,<=2.0.0
wxPython==3.0.2.0

=== debian/changelog ===
props (0.10.1-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Team
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Team <team@neuro.debian.net>  Thu, 27 Apr 2017 11:28:07 +0200

props (0.10.1-1) neurodebian; urgency=low

  * Initial release.

 -- Michael Hanke <mih@debian.org>  Thu, 27 Apr 2017 11:15:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>
-Section: non-free/python
+Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -13,7 +13,7 @@
 
 Package: python-props
 Architecture: all
-Section: non-free/python
+Section: python
 Depends: neurodebian-popularity-contest, python-wxgtk3.0,
          ${misc:Depends},
          ${python:Depends},

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match '[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/_.*$$//' -e 's/-/+git/')


export DH_VERBOSE = 1
export PYBUILD_NAME = props

# one ring to rule them all ...
%:
	dh $@ --with python2 --buildsystem=pybuild

clean::
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build
	-rm -rf props.egg-info/

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done
